Subject: Re: [PATCH 1/2] update-ref: use {old,new}-oid instead of {old,new}value

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Apr 2024 13:51:46 -0700

Karthik Nayak <[email-masked]> writes:

> From: Karthik Nayak <[email-masked]>
>
> The `git-update-ref` command is used to modify references. The usage of
> {old,new}value in the documentation refers to the OIDs. This is fine
> since the command only works with regular references which hold OIDs.
> But if the command is updated to support symrefs, we'd also be dealing
> with {old,new}-refs.
>
> To improve clarity around what exactly {old,new}value mean, let's rename
> it to {old,new}-oid.
>
> Signed-off-by: Karthik Nayak <[email-masked]>
> ---
>  Documentation/git-update-ref.txt | 58 ++++++++++++++++----------------
>  builtin/update-ref.c             | 26 +++++++-------
>  2 files changed, 42 insertions(+), 42 deletions(-)

Did you run t1400 after this update?  There may be other tests that
the message update is breaking but that was the first one I noticed.